/*
 * AdaptivityMap.hpp
 *
 *  Created on: Oct 20, 2011
 *      Author: heber
 */

#ifndef ADAPTIVITYMAP_HPP_
#define ADAPTIVITYMAP_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <iosfwd>
#include <string>

#include <map>

#include "Fragmentation/KeySet.hpp"

class molecule;

class AdaptivityMap : public std::map<int, KeySet>
{
public:
  AdaptivityMap();
  ~AdaptivityMap();

  void InsertIntoAdaptiveCriteriaList(std::map<int, std::pair<double,int> > *AdaptiveCriteriaList, int FragOrder, int No, double Value) const;
  std::map<int, std::pair<double,int> > * ScanAdaptiveFileIntoMap(std::string &path);
  std::map<double, std::pair<int,int> >  * ReMapAdaptiveCriteriaListToValue(std::map<int, std::pair<double,int> > *AdaptiveCriteriaList, molecule *mol);
  int CountLinesinFile(std::ifstream &InputFile) const;
};


#endif /* ADAPTIVITYMAP_HPP_ */
